<!DOCTYPE html>
<html lang="en">

<head>
    <title>Challenge 01</title>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <!-- CALL BOOTSTRAP -->
    <link rel="stylesheet" href="./vendor/bootstrap/css/bootstrap.css">
    <!-- CALL OWL CAROUSEL -->
    <link rel="stylesheet" href="./vendor/owlCarousel/dist/assets/owl.carousel.min.css">
    <link rel="stylesheet" href="./vendor/owlCarousel/dist/assets/owl.theme.default.min.css">

    <!-- CALL OWN CSS -->
    <link rel="stylesheet" href="./css/style.css">
    <link rel="stylesheet" href="./css/responsive.css">
    <link rel="stylesheet" href="./css/cars.css">
</head>

<body>
    <!-- WRAP NAVBAR & HERO SECTION -->
    <div class="filter" id="filter" onclick="deactivateDarkFilter()"></div>
    <div class="container-fluid">
        <div class="wrap-landing-page">
            <!-- START OF NAVIGATION BAR -->
            <nav class="navbar navbar-expand-lg navbar-light">
                <!-- MENGUBAH NAVBAR MENJADI TERANG BERTULISKAN GELAP DENGAN PADDING TOP DAN BOTTOM 5 -->
                <a class="navbar-brand text-light" href="index.html">Yudha</a>
                <!-- MENGUBAH WARNA TULISAN BRAND JADI PUTIH -->
                <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbar-Nav" aria-controls="navbar-Nav" aria-expanded="false" aria-label="Toggle navigation">
                    <span class="navbar-toggler-icon"></span>
                </button>
                <div class="collapse navbar-collapse" id="navbar-Nav">
                    <ul class="navbar-nav ms-auto">
                        <li class="nav-item">
                            <a class="nav-link" href="#our-service">Our Services</a>
                        </li>
                        <li class="nav-item">
                            <a class="nav-link" href="#why-us">Why Us</a>
                        </li>
                        <li class="nav-item">
                            <a class="nav-link" href="#testimonial">Testimonial</a>
                        </li>
                        <li class="nav-item">
                            <a class="nav-link" href="#faq">FAQ</a>
                        </li>
                        <li class="nav-item">
                            <button class="btn btn-success" type="submit">Register</button>
                        </li>
                    </ul>
                </div>
                <!-- ADD sidebar -->
                <div id="mySidebar" class="sidebar">
                    <a href="javascript:void(0)" class="closebtn" onclick="closeNav()">&times;</a>
                    <a href="#"><strong>BCR</strong></a>
                    <a href="#our-service">Our Services</a>
                    <a href="#why-us">Why Us</a>
                    <a href="#testimonial">Testimonial</a>
                    <a href="#faq">FAQ</a>
                    <div class="button-sidebar">
                        <button class="btn btn-success" type="submit">Register</button>
                    </div>
                </div>

                <div id="main">
                    <button class="openbtn" onclick="openNav()">&#9776;</button>
                </div>
            </nav>
            <!-- END OF NAVIGATION BAR -->

            <!-- START OF HERO SECTION -->
            <div class="jumbotron bg-transparent" style="z-index: 1;">
                <div class="row">
                    <div class="col-sm-6">
                        <div class="text-landing-page">
                            <h1 class="drop-shadow">Sewa & Rental Mobil Terbaik di kawasan (Lokasimu)
                            </h1>
                            <p>Selamat datang di Binar Car Rental. Kami menyediakan mobil kualitas terbaik dengan harga terjangkau. Selalu siap melayani kebutuhanmu untuk sewa mobil selama 24 jam.
                            </p>
                            <a class="btn btn-success btn-lg" href="/cars.html" role="button">Mulai Sewa Mobil</a>
                        </div>
                    </div>
                    <div class="col-sm-6">
                        <img class="image" id="cars" src="./images/img-car.png" alt="Ini Gambar Mobil">
                    </div>
                </div>
            </div>
        </div>
        <!-- END OF HERO SECTION -->
        <!-- START OF SEARCHING ENGINE -->
        <div class="container border bg-white p-4 position-relative" style="z-index: 2; border-radius: 8px;">
            <!-- onclick berfungsi sebagai aktifasi dark filter -->
            <div class="row gx-3 gy-2 align-items-center" onClick="activateDarkFilter()">
                <div class="col-sm-3">
                    <label for="specificSizeSelect">Tipe Driver</label>
                    <select class="form-select" id="specificSizeSelect">
              <option selected >Pilih Tipe Driver</option>
              <option value="1">Dengan Supir</option>
              <option value="2">Tanpa Supir (Lepas Kunci)</option>
            </select>
                </div>
                <div class="col-sm-3">
                    <label for="specificSizeSelect">Tanggal</label>
                    <input type="date" class="form-control" id="date">
                </div>
                <div class="col-sm-2">
                    <label for="hours">Waktu Jemput/Ambil</label>
                    <input type="time" class="form-control" id="hours">
                </div>
                <div class="col-sm-3">
                    <label for="specificSizeInputGroupUsername">Jumlah Penumpang (Optional)</label>
                    <div class="input-group">
                        <input id="passenger" type="text" class="form-control" id="specificSizeInputGroupUsername" placeholder="Jumlah Penumpang">
                        <div class="input-group-text">
                            <!-- add icon from bootstrap -->
                            <svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" fill="currentColor" class="bi bi-people" viewBox="0 0 16 16">
                    <path d="M15 14s1 0 1-1-1-4-5-4-5 3-5 4 1 1 1 1h8zm-7.978-1A.261.261 0 0 1 7 12.996c.001-.264.167-1.03.76-1.72C8.312 10.629 9.282 10 11 10c1.717 0 2.687.63 3.24 1.276.593.69.758 1.457.76 1.72l-.008.002a.274.274 0 0 1-.014.002H7.022zM11 7a2 2 0 1 0 0-4 2 2 0 0 0 0 4zm3-2a3 3 0 1 1-6 0 3 3 0 0 1 6 0zM6.936 9.28a5.88 5.88 0 0 0-1.23-.247A7.35 7.35 0 0 0 5 9c-4 0-5 3-5 4 0 .667.333 1 1 1h4.216A2.238 2.238 0 0 1 5 13c0-1.01.377-2.042 1.09-2.904.243-.294.526-.569.846-.816zM4.92 10A5.493 5.493 0 0 0 4 13H1c0-.26.164-1.03.76-1.724.545-.636 1.492-1.256 3.16-1.275zM1.5 5.5a3 3 0 1 1 6 0 3 3 0 0 1-6 0zm3-2a2 2 0 1 0 0 4 2 2 0 0 0 0-4z"/>
                  </svg>
                        </div>
                    </div>
                </div>
                <div class="col-sm-1">
                    <div>
                        <p></p>
                        <button class="btn btn-success" onClick="app.init().then(app.run)">Submit</button>
                    </div>
                </div>
            </div>
        </div>

    </div>
    <!-- <button id="load-btn">Load</button>
        <button id="clear-btn">Clear</button> -->
    <div class="container mt-4">
        <div id="cars-container" class="row row-cols-lg-3 row-cols-sm-2 row-cols-1 g-3"></div>
    </div>
    <!-- END OF SEARCHING ENGINE -->
    <footer>
        <!-- START OF FOOTER -->
        <div class="margin-content">
            <div class="footer justify-content-between">
                <div class="row">
                    <div class="col-md-3">
                        <div class="contact">
                            <p>Jalan Suroyo No. 161 Mayangan Kota Probolonggo 672000</p>
                            <p>binarcarrental@gmail.com</p>
                            <p>081-233-334-808</p>
                        </div>
                    </div>
                    <div class="col-md-2">
                        <div class="link-page">
                            <p><a href="#our-service">Our Services</a></p>
                            <p><a href="#why-us">Why Us</a></p>
                            <p><a href="#testimonial">Testimonial</a></p>
                            <p><a href="#faq">FAQ</a></p>
                        </div>
                    </div>
                    <div class="col-md-3">
                        <div class="social-media">
                            <p>Connect with us</p>
                            <a href="#">
                                <img src="./images/icon-facebook.png">
                            </a>
                            <a href="#">
                                <img src="./images/icon-instagram.png">
                            </a>
                            <a href="#">
                                <img src="./images/icon-twitter.png">
                            </a>
                            <a href="#">
                                <img src="./images/icon-mail.png">
                            </a>
                            <a href="#">
                                <img src="./images/icon-twitch.png">
                            </a>
                        </div>
                    </div>
                    <div class="col-md-2">
                        <p class="copyright">Copyright Binar 2022</p>
                        <p class="footer-brand text-decoration: none;"><a href="#">Yudha</a></p>
                    </div>
                </div>
            </div>
            <!-- END OF FOOTER -->

            <!-- CALL JAVASCRIPT -->
            <script src="https://code.jquery.com/jquery-3.3.1.slim.min.js" integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo" crossorigin="anonymous"></script>
            <script src="https://cdn.jsdelivr.net/npm/@popperjs/core@2.10.2/dist/umd/popper.min.js" integrity="sha384-7+zCNj/IqJ95wo16oMtfsKbZ9ccEh31eOz1HGyDuCQ6wgnyJNSYdrPa03rtR1zdB" crossorigin="anonymous"></script>
            <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/js/bootstrap.min.js" integrity="sha384-QJHtvGhmr9XOIpI6YVutG+2QOK9T+ZnN4kzFN1RtK3zEFEIsxhlmWl5/YESvpZ13" crossorigin="anonymous"></script>
            <!-- CALL OWL CAROUSEL -->
            <script src="../vendor/owlCarousel/docs/assets/vendors/jquery.min.js"></script>
            <script src="../vendor/owlCarousel/dist/owl.carousel.min.js"></script>
            <script>
                $('.owl-carousel').owlCarousel({
                    loop: true,
                    center: true,
                    nav: true,
                    dots: false,
                    navText: [
                        "<img src='./images/Left-button.png' width='32px' height='32px'>",
                        "<img src='./images/Right-button.png' width='32px' height='32px'>"
                    ],
                    responsive: {
                        0: {
                            items: 1
                        },
                        360: {
                            items: 1
                        },
                        768: {
                            items: 2
                        },
                        1000: {
                            items: 2
                        },
                        1920: {
                            items: 2
                        }
                    }
                })


                // SIDEBAR SCRIPT
                /* Set the width of the sidebar to 250px and the left margin of the page content to 250px */
                function openNav() {
                    document.getElementById("mySidebar").style.width = "180px";
                }

                /* Set the width of the sidebar to 0 and the left margin of the page content to 0 */
                function closeNav() {
                    document.getElementById("mySidebar").style.width = "0";
                }
            </script>

            <!-- Add new script from challenge -->
            <script type="text/javascript" src="./scripts/binar.js"></script>
            <script type="text/javascript" src="./scripts/app.example.js"></script>
            <script type="text/javascript" src="./scripts/car.example.js"></script>
            <script type="text/javascript" src="./scripts/main.example.js"></script>

            <!-- Add Script dark filter -->
            <script>
                function activateDarkFilter() {
                    document.getElementById("filter").style.width = "100%";
                }

                function deactivateDarkFilter() {
                    document.getElementById("filter").style.width = "0";
                }
            </script>
    </footer>
    </div>
    </div>
</body>